package com.siwei.rsmonitoring.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

import java.util.Date;

/**
 * 地块基本信息状态记录对象 t_dkjbxx_state
 *
 * @author siwei
 * @date 2025-02-14
 */
public class TDkjbxxState extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 与地块信息状态一致
     */
    private String id;

    /**
     * 审核流程类型code
     */
    @Excel(name = "审核流程类型code")
    private String auditflow;

    /**
     * 步骤code
     */
    @Excel(name = "步骤code")
    private String stepCode;

    /**
     * 操作人
     */
    @Excel(name = "操作人")
    private String operationBy;

    /**
     * 操作时间
     */
    @Excel(name = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operationTime;

    /**
     * 操作人ID
     */
    @Excel(name = "操作人ID")
    private String operationId;

    /**
     * 成功标志 0成功 1失败
     */
    private String successType;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setAuditflow(String auditflow) {
        this.auditflow = auditflow;
    }

    public String getAuditflow() {
        return auditflow;
    }

    public void setStepCode(String stepCode) {
        this.stepCode = stepCode;
    }

    public String getStepCode() {
        return stepCode;
    }

    public void setOperationBy(String operationBy) {
        this.operationBy = operationBy;
    }

    public String getOperationBy() {
        return operationBy;
    }

    public void setOperationTime(Date operationTime) {
        this.operationTime = operationTime;
    }

    public Date getOperationTime() {
        return operationTime;
    }

    public void setOperationId(String operationId) {
        this.operationId = operationId;
    }

    public String getOperationId() {
        return operationId;
    }

    public String getSuccessType() {
        return successType;
    }

    public void setSuccessType(String successType) {
        this.successType = successType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("auditflow", getAuditflow())
                .append("stepCode", getStepCode())
                .append("operationBy", getOperationBy())
                .append("operationTime", getOperationTime())
                .append("operationId", getOperationId())
                .toString();
    }
}
